<?php
/*
 CLASE PARA LA GESTION DE GRADOS
*/
require_once "db.class.php";

class grado extends database {

	/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE GRADOS
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function grado(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();$this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from grados order by orden");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function gradoss($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();

                $query = $this->consulta("select * from grados order by orden limit ".$inicio.",10");

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;


		}
		return $data;
	}

}

?>
